from DHDL import subprogs

def get1var(data,varname,args):

    #############################################################
    # check the dimension name    
    dimnameT,dimnameZ,dimnameY,dimnameX =subprogs.set_dim_name(data)
    #############################################################

    #############################################################
    # get T slice (4-dim ->3-dim) with setting variable
    V3D,TTT  = subprogs.get3D(args,dimnameT,data,varname)
    #############################################################
    
    #############################################################
    # get Z slice (3-dim -> 2-dim)
    V2D,ZZZ  = subprogs.get2D(args,dimnameZ,data,V3D)
    #############################################################
    
    #############################################################
    # to change unit (especially, for QR,QV, kg/kg -> g/kg)
    if varname == "QV" or varname == "QR": 
        V2D = V2D * 1000.0
        data[varname].attrs['units'] = "g/kg"
        #print(data[varname].units)
    #############################################################

    #############################################################
    # set colormap for shade and its range
    colormap, clevels = subprogs.set_color_range(args,V2D)
    #############################################################

    return V2D,colormap,clevels,TTT,ZZZ
    
