import xarray as xr
import numpy as np

def mabiki2D_xarray(data,factor):

    ndim = len(data.dims)
    if ndim != 2:
        print("not 2Dimension")
        exit
    dimnameY = data.dims[0]
    dimnameX = data.dims[1]
    
    Y = data[dimnameY].values
    X = data[dimnameX].values    
    Y2 = Y[::factor]
    X2 = X[::factor]
    dimnames = [dimnameY,dimnameX]
    coords_info = {dimnameY : Y2, dimnameX : X2}
    YNUM, XNUM = data.shape
    XNUM2 = len(X2)
    YNUM2 = len(Y2)
    
    resize_data = np.empty((YNUM2,XNUM2),dtype=data.dtype)
    j2 = 0
    for j in range(0,YNUM,factor):
        x_data = data[j,:].values
        x2_data = x_data[::factor]
        resize_data[j2,:] = x2_data
        j2=j2+1
        
    outxarray = xr.DataArray(resize_data,dims=dimnames,coords=coords_info)
    return outxarray
